Package org.eclipse.cdt.core.model

# Interface IPathEntryContainerExtension

All Superinterfaces:
  `IPathEntryContainer`

public interface IPathEntryContainerExtension extends IPathEntryContainer

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IPathEntry[]`
`getPathEntries(org.eclipse.core.runtime.IPath path, int typesMask)`
Returns the set of entries associated with the resource and empty array if none.
`boolean`
`isEmpty(org.eclipse.core.runtime.IPath path)`
Returns whether there are any path entries for the resource.

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntryContainer

`getDescription, getPath, getPathEntries`

## Method Details

### getPathEntries

IPathEntry[] getPathEntries(org.eclipse.core.runtime.IPath path, int typesMask)
Returns the set of entries associated with the resource and empty array if none.

Parameters:
  `path` - Workspace relative path.
  `typesMask` - type of path entries:
  - `IPathEntry.CDT_INCLUDE`
  - `IPathEntry.CDT_INCLUDE_FILE`
  - `IPathEntry.CDT_MACRO_FILE`
  - `IPathEntry.CDT_MACRO`
Returns:
  IPathEntry[] - the entries or empty set if none
See Also:
  - `IPathEntry`

### isEmpty

boolean isEmpty(org.eclipse.core.runtime.IPath path)
Returns whether there are any path entries for the resource.

Parameters:
  `path` - Workspace relative path.